// Straightforward vertex shader:
//    Take input vertex, multiply by modelview-perspective matrix

#version 400

layout(location = IGLU_VERTEX) in vec4 vertex;

uniform mat4 mvp;

void main( void )
{  
	gl_Position = mvp * vertex;
}